Plank.ItemState – plank Reference Manual

# ItemState

## Description:

[ Flags ]
public enum ItemState

The current activity state of an item. The item has several states to track and can be in any combination of them.

Namespace: Plank
Package: plank

## Content:

### Enum values:

- ACTIVE - The item is currently active (a window in the group is focused).
- INVALID - The item is invalid and should be removed.
- MOVE - The item is currently moved to its new position.
- NORMAL - The item is in a normal state.
- URGENT - The item is currently urgent (a window in the group has the urgent flag).